#!/usr/bin/env bash

cd "$(dirname $(realpath "$0"))"

[ ! -f ./config.yml ] && op inject --in-file ./config.yml.in --out-file ./config.yml

exec bazel run //projects/public_dns:updater -- \
    --config $(realpath ./config.yml) \
    --templates $(realpath src/resources/zonefiles)
